project: Ateles
src_dir: source/
src_dir: build/ford
src_dir: polynomials/source
exclude_dir: build/ford/treelm
external: https://geb.sts.nt.uni-siegen.de/doxy/aotus/
external: https://geb.sts.nt.uni-siegen.de/doxy/treelm/
output_dir: docu
page_dir: doc_pages
media_dir: treelm/media
graph: true
graph_maxdepth: 4
graph_maxnodes: 32
display: public
display: protected
display: private
sort: permission
source: false
author: University of Siegen
title: Mainpage
print_creation_date: True
md_extensions: markdown.extensions.toc

(Adaptive Tree based Efficient and Lithe Equation Solver)

Ateles implements a modal/nodal Discontinuous Galerkin scheme
on top of [TreElm](https://geb.sts.nt.uni-siegen.de/doxy/treelm/index.html)
data structures.
Various equation systems are supported,
each with their dedicated optimized kernel.
Ateles implements an explicit time integration.

## Downloading Ateles

We use Mercurial (hg), an open source distributed version control system,
for the APES projects.
To obtain the sources of Ateles, you need to have Mercurial available.
It may be downloaded from the
[official website](https://www.mercurial-scm.org)
or already available through some packaging system for your machine.

Cloning the Ateles repository will also get you the TreElm library
as a subrepository in the directory `ateles/treelm`.
Note that you might want to get other supporting tools from the APES framework
or the complete framework itself to make use of other solvers for your
simulations.

To get more information about Ateles and how to use it,
please take a look at [Documentation](page/index.html).
