#!/bin/sh
# Arguments:
# $1: ateles executable
# $2: harvester executable
rm -rf restart_face
rm -rf restart_mean
rm -rf restart_smooth
rm -rf harvest_face
rm -rf harvest_mean
rm -rf harvest_smooth
mkdir restart_face
mkdir restart_mean
mkdir restart_smooth
mkdir harvest_face
mkdir harvest_mean
mkdir harvest_smooth

if [ "$#" -ne 2 ]; then
  echo "Call with two arguments:"
  echo "  ./run.sh ateles.exe harvester.exe"
  exit 1
fi

$1 ateles_face.lua
export OUTDIR=harvest_face/
for f in $(find restart_face/ -name 'euler_1d_header_*.lua'); do
   export RESFILE=$f
   $2
done

$1 ateles_mean.lua
export OUTDIR=harvest_mean/
for f in $(find restart_mean/ -name 'euler_1d_header_*.lua'); do
   export RESFILE=$f
   $2
done

$1 ateles_smooth.lua
export OUTDIR=harvest_smooth/
for f in $(find restart_smooth/ -name 'euler_1d_header_*.lua'); do
   export RESFILE=$f
   $2
done

python plot_series.py
