#!/bin/bash
#SBATCH --time=120:00:00
#SBATCH --mail-type=END
#SBATCH --mail-user=j.zudrop@grs-sim.de
#SBATCH -N 16
#SBATCH --exclusive

rm mesh/*
rm harvest/*
rm harvest/mesh/*
rm restart/*

mkdir restart
mkdir mesh
mkdir harvest
mkdir harvest/mesh

# Create the mesh
../../../../seeder/build/seeder seeder_2d.lua
../../../../harvester/build/harvester harvester_mesh.lua

# Run the solver
mpirun -n 128 ../../../build/ateles ateles_euler_modg_2d.lua

# Post-process the data
#../../../../harvester/build/harvester harvester_last.lua
#../../../../harvester/scripts/harvest_series.py --config params_hvs.py
