-- Configuration 12

require('quadrant')

-- Filter order for the Covolume stabilization and spectral viscosity
filter_order = 10

final_sim_time = 0.25

-- Initial condition for density
function ini_dens(x,y,z)
  -- get the quadrant
  quad = get_quadrant(x,y)

  if(quad == 1) then
    return 0.5313
  elseif(quad == 2) then
    return 1
  elseif(quad == 3) then
    return 0.8
  else
    return 1
  end
end

-- Initial condition for pressure
function ini_press(x,y,z)
  -- get the quadrant
  quad = get_quadrant(x,y)

  if(quad == 1) then
    return 0.4
  elseif(quad == 2) then
    return 1
  elseif(quad == 3) then
    return 1
  else
    return 1
  end
end

-- Initial condition for velocity (x-component)
function ini_vel_X(x,y,z)
  -- get the quadrant
  quad = get_quadrant(x,y)

  if(quad == 1) then
    return 0
  elseif(quad == 2) then
    return 0.7276
  elseif(quad == 3) then
    return 0 
  else
    return 0
  end
end


-- Initial condition for velocity (y-component)
function ini_vel_Y(x,y,z)
  -- get the quadrant
  quad = get_quadrant(x,y)

  if(quad == 1) then
    return 0.0
  elseif(quad == 2) then
    return 0.0
  elseif(quad == 3) then
    return 0.0
  else
    return 0.7276
  end
end

-- Boundary definitions
boundary_condition = {
                       { 
                       label = 'slipWest_QuadII', 
                       kind = 'supersonic_outflow',       
                       --kind = 'inflow_normal',       
                       --density = ini_dens,
                       --v_norm = ini_vel_X,
                       --v_tan = 0,
                       },
                       { 
                       label = 'slipWest_QuadIII', 
                       kind = 'supersonic_outflow',       
                       --kind = 'slipwall',       
                       },
                       { 
                       label = 'slipEast_QuadI', 
                       kind = 'supersonic_outflow',       
                       --kind = 'slipwall',       
                       },
                       { 
                       label = 'slipEast_QuadIV', 
                       kind = 'supersonic_outflow',       
                       --kind = 'slipwall',       
                       },
                       { 
                       label = 'slipSouth_QuadIII', 
                       kind = 'supersonic_outflow',       
                       --kind = 'slipwall',       
                       },
                       { 
                       label = 'slipSouth_QuadIV', 
                       kind = 'supersonic_outflow',       
                       --kind = 'inflow_normal',       
                       --density = ini_dens,
                       --v_norm = ini_vel_Y,
                       --v_tan = 0,
                       },
                       { 
                       label = 'slipNorth_QuadII', 
                       kind = 'supersonic_outflow',       
                       --kind = 'slipwall',       
                       },
                       { 
                       label = 'slipNorth_QuadI', 
                       kind = 'supersonic_outflow',       
                       --kind = 'slipwall',       
                       },
                       { 
                       label = 'slipBottom', 
                       kind = 'supersonic_outflow',       
                       --kind = 'slipwall',       
                       },
                       { 
                       label = 'slipTop', 
                       kind = 'supersonic_outflow',       
                       --kind = 'slipwall',       
                       },
                     }  
