#!/bin/bash
#SBATCH --time=500:00:00
#SBATCH -N 2
#SBATCH -p all
#SBATCH --mail-type=END
#SBATCH --mail-user=j.zudrop@grs-sim.de

# load the relevant modules
module load PrgEnv/gcc-ompi/4.7.1-1.6.0

rm -rf harvest/
rm -rf harvest_order_*/

# Run for order 2 and 16 elements
rm restart/*
mkdir harvest
export order=2
export level=2
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_2_nelems_16

# Run for order 2 and 64 elements
rm restart/*
mkdir harvest
export order=2
export level=3
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_2_nelems_64

# Run for order 2 and 256 elements
rm restart/*
mkdir harvest
export order=2
export level=4
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_2_nelems_256

# Run for order 2 and 1024 elements
rm restart/*
mkdir harvest
export order=2
export level=5
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_2_nelems_1024

# Run for order 2 and 4096 elements
rm restart/*
mkdir harvest
export order=2
export level=6
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_2_nelems_4096

# Run for order 4 and 16 elements
rm restart/*
mkdir harvest
export order=4
export level=2
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_4_nelems_16

# Run for order 4 and 64 elements
rm restart/*
mkdir harvest
export order=4
export level=3
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_4_nelems_64

# Run for order 4 and 256 elements
rm restart/*
mkdir harvest
export order=4
export level=4
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_4_nelems_256

# Run for order 4 and 1024 elements
rm restart/*
mkdir harvest
export order=4
export level=5
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_4_nelems_1024

# Run for order 8 and 16 elements
rm restart/*
mkdir harvest
export order=8
export level=2
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_8_nelems_16

# Run for order 8 and 64 elements
rm restart/*
mkdir harvest
export order=8
export level=3
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_8_nelems_64

# Run for order 8 and 256 elements
rm restart/*
mkdir harvest
export order=8
export level=4
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_8_nelems_256

# Run for order 16 and 4 elements
rm restart/*
mkdir harvest
export order=16
export level=1
mpirun -n 4 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 4 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_16_nelems_4

# Run for order 16 and 16 elements
rm restart/*
mkdir harvest
export order=16
export level=2
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_16_nelems_16

# Run for order 32 and 4 elements
rm restart/*
mkdir harvest
export order=32
export level=1
mpirun -n 4 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 4 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_32_nelems_4

# Run for order 32 and 16 elements
rm restart/*
mkdir harvest
export order=32
export level=2
mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
mv harvest harvest_order_32_nelems_16

# # Run for order 64 and 16 elements
# rm restart/*
# mkdir harvest
# export order=64
# export level=2
# mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
# mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
# mv harvest harvest_order_64_nelems_16
# 
# # Run for order 128 and 16 elements
# rm restart/*
# mkdir harvest
# export order=128
# export level=2
# mpirun -n 16 ../../../build/ateles ateles_navierstokes_modg_2d.lua
# mpirun -n 16 /home/grszudro/workspace/apes/harvester_latest/build/harvester
# mv harvest harvest_order_128_nelems_16
