-- Use this file as template. Do not modify this file for running some testcases

outputname = 'gauss_pulse'
outputpreview = true 
level = 5

-- stl_files: for each stl file put a table into
-- this table of tables. Or just a string for
-- the filname, if the other two parameters should
-- get the default: boundary_type = 1, fileformat = 'binary'
-- refinementlevel is the level to which the stl shall be refined
-- it is mandatory


-- boundingbox: two entries: origin and length in this
-- order, if no keys are used
boundingbox = {origin = {-30.0,-30.0,-30.0},
               length = 60.}


-- seed: position of seed 
seed = {boundingbox.origin[1]+30.0,
        boundingbox.origin[2]+30.0,
        boundingbox.origin[3]+30.0
       }


geom={plane={
             {vecA={0.0,60.0,0.0},
          vecB={0.0,0.0,60.0},
          pos={-30.0,-30.0,-30.0},
          bclabel ='west',
              refinementlevel = level},
              {vecA={0.0,60.0,0.0},
          vecB={0.0,0.0,60.0},
          pos={30.0,-30.0,-30.0},
          bclabel ='east',
              refinementlevel = level},
              {vecA={60.0,0.0,0.0},
          vecB={0.0,60.0,0.0},
          pos={-30.0,-30.0,10.0},
          bclabel ='top',
              refinementlevel = level},
             {vecA={60.0,0.0,0.0},
          vecB={0.0,60.0,0.0},
          pos={-30.0,-30.0,-10.0},
          bclabel ='bottom',
              refinementlevel = level},
             {vecA={60.0,0.0,0.0},
          vecB={0.0,0.0,60.0},
          pos={-30.0,-10.0,-30.0},
          bclabel ='south',
              refinementlevel = level},
             {vecA={60.0,0.0,0.0},
          vecB={0.0,0.0,60.0},
          pos={-30.0,10.0,-30.0},
          bclabel ='north',
              refinementlevel = level}
             }}

-- general refinement levels
-- minrefine: defines minimum refinement level of the entire domain
--
-- maxrefine: defines maximum refinement
-- gets overwritten from madatory STL levels
-- (deprecated - used only for spacer stuff right now)
-- will become default for stl refinement level once
-- it is not mandatory any more
minrefine = level
maxrefine = level


